## opendict-lingvosoft 0.6

=== Makefile ===
# Makefile for LingvoSoft Online Dictionaries
# 

VERSION=0.6
DICT	=
DESTDIR	=
datadir	= /usr/share/opendict/dictionaries/plugins

DICTIONARIES =	ensq sqen \
		enar aren \
		enbg bgen \
		encs csen \
		ennl nlen \
		enet eten \
		enfr fren \
		ende deen \
		enel elen \
		enhu huen \
		enit iten \
		enko koen \
		enlv lven \
		enfa faen \
		enpl plen \
		enpt pten \
		enro roen \
		enru ruen \
		ensr sren \
		ensk sken \
		enes esen \
		ensv sven \
		entr tren \
		enyi yien \
                enml

prepare:
	mkdir -p LingvoSoft-$$DICT-$(VERSION)
	name=$$(grep $$DICT languagelist | cut -f2 -d\;); \
	sed "s/NAME/$$name/g" plugin.xml | sed "s/LANG/$$DICT/g" | \
		sed "s/VERS/$(VERSION)/g" > LingvoSoft-$$DICT-$(VERSION)/plugin.xml
	direction=$$(grep $$DICT languagelist | cut -f3 -d\;); \
	langt=$$(grep $$DICT languagelist | cut -f4 -d\;); \
	sed "s/LANG/$$DICT/g" lingvosoft.py | sed "s/DIRECT/$$direction/g" | \
		sed "s/LNGT/$$langt/g" | sed "s/VERS/$(VERSION)/g" > \
			LingvoSoft-$$DICT-$(VERSION)/lingvosoft-$$DICT.py

install:
	$(MAKE) -C . prepare
	mkdir -p $(DESTDIR)$(datadir)/LingvoSoft-$$DICT
	cp  LingvoSoft-$$DICT-$(VERSION)/* $(DESTDIR)$(datadir)/LingvoSoft-$$DICT
	rm -rf LingvoSoft-$$DICT-$(VERSION)
#	mkdir -p $(DESTDIR)$(datadir)/LingvoSoft-$$DICT
#	name=$$(grep $$DICT languagelist | cut -f2 -d\;); \
#	sed "s/NAME/$$name/g" plugin.xml | sed "s/LANG/$$DICT/g" > \
#		$(DESTDIR)$(datadir)/LingvoSoft-$$DICT/plugin.xml
#	direction=$$(grep $$DICT languagelist | cut -f3 -d\;); \
#	langt=$$(grep $$DICT languagelist | cut -f4 -d\;); \
#	sed "s/LANG/$$DICT/g" lingvosoft.py | sed "s/DIRECT/$$direction/g" | \
#		sed "s/LNGT/$$langt/g" > \
#			$(DESTDIR)$(datadir)/LingvoSoft-$$DICT/lingvosoft-$$DICT.py

uninstall:
	rm -rf $(DESTDIR)$(datadir)/LingvoSoft-$$DICT

dist-src:
	mkdir opendict-lingvosoft-$(VERSION)
	cp Makefile README COPYING languagelist ChangeLog *.py *.xml opendict-lingvosoft-$(VERSION)
	tar zcvf opendict-lingvosoft-$(VERSION).tar.gz opendict-lingvosoft-$(VERSION)
	rm -rf opendict-lingvosoft-$(VERSION)

dist-zips: clean
	for DICT in $(DICTIONARIES); do \
                $(MAKE) -C . prepare DICT=$$DICT; \
		zip -r LingvoSoft-$$DICT-$(VERSION).zip LingvoSoft-$$DICT-$(VERSION)/* ; \
		rm -rf LingvoSoft-$$DICT-$(VERSION); \
	done

clean:
	rm -f *.zip
	rm -f *~

## opendict-lingvosoft 0.8

=== Makefile ===
# Makefile for Lingvosoft Online Dictionaries
# 

VERSION=0.8
DICT	=
DESTDIR	=
datadir	= /usr/share/opendict/dictionaries/plugins

DICTIONARIES =	ensq enar enaz enbs enbg enzhs enzht enhr encs ennl \
		enet enfi enfr ende enel enhe enhu enid enit enjap \
		enjakana enjakanji enjaromaji enko enlv enlt enfa enpl enpt \
		enro enru ensr ensk enes ensv entl enth entr enuk \
		envi enyi enmul
prepare:
	mkdir -p Lingvosoft-$$DICT-$(VERSION)
	name=$$(grep $$DICT languagelist | cut -f2 -d\;); \
	sed "s/NAME/$$name/g" plugin.xml | sed "s/LANG/$$DICT/g" | \
		sed "s/VERS/$(VERSION)/g" > tmp.txt
	sed "s/<=>/\&lt;=\&gt;/" tmp.txt > Lingvosoft-$$DICT-$(VERSION)/plugin.xml
	rm -f tmp.txt
	direction=$$(grep $$DICT languagelist | cut -f3 -d\;); \
	langt=$$(grep $$DICT languagelist | cut -f3 -d\;); \
	sed "s/LANG/$$DICT/g" lingvosoft.py | sed "s/DIRECT/$$direction/g" | \
		sed "s/TRANSLTO/$$direction/g" | sed "s/VERS/$(VERSION)/g" > \
			Lingvosoft-$$DICT-$(VERSION)/lingvosoft-$$DICT.py

install-common: weblingvosoft.py
	mkdir -p $(DESTDIR)$(datadir)
	cp  weblingvosoft.py $(DESTDIR)$(datadir)	

install: install-common
	$(MAKE) -C . prepare
	mkdir -p $(DESTDIR)$(datadir)/Lingvosoft-$$DICT
	cp  Lingvosoft-$$DICT-$(VERSION)/* $(DESTDIR)$(datadir)/Lingvosoft-$$DICT
	ln -sf ../weblingvosoft.py $(DESTDIR)$(datadir)/Lingvosoft-$$DICT/weblingvosoft.py
	rm -rf Lingvosoft-$$DICT-$(VERSION)

uninstall:
	rm -rf $(DESTDIR)$(datadir)/Lingvosoft-$$DICT

dist-src:
	mkdir opendict-lingvosoft-$(VERSION)
	cp Makefile README COPYING languagelist ChangeLog *.py *.xml opendict-lingvosoft-$(VERSION)
	tar zcvf opendict-lingvosoft-$(VERSION).tar.gz opendict-lingvosoft-$(VERSION)
	rm -rf opendict-lingvosoft-$(VERSION)

dist-zips: clean
	for DICT in $(DICTIONARIES); do \
                $(MAKE) -C . prepare DICT=$$DICT; \
		cp weblingvosoft.py Lingvosoft-$$DICT-$(VERSION); \
		zip -r Lingvosoft-$$DICT-$(VERSION).zip Lingvosoft-$$DICT-$(VERSION)/* ; \
		rm -rf Lingvosoft-$$DICT-$(VERSION); \
	done

clean:
	rm -f *.zip
	rm -f *~

=== debian/changelog ===
opendict-lingvosoft (0.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use source format 3.0 (quilt).
  * Build with dh-python2 instead of python-support.  Closes: #786094
  * Install weblingvosoft.py in /usr/lib/python2.7/dist-packages.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 13 Dec 2015 23:41:44 +0000

opendict-lingvosoft (0.8-2) unstable; urgency=low

  * debian/{control, rules}: changed Build-Depends from python-central to
    python-support and now the common module for all dictionaries
    weblingvosoft.py is installed in the /usr/share/python-support directory.
    Thanks to Alexander Wirt <formorer@debian.de> for suggestion.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Thu, 04 Oct 2007 10:13:10 +0300

opendict-lingvosoft (0.8-1) unstable; urgency=low

  * New upstream release (Closes: #443757). Plus 17 dictionaries. Thus, now
    it has 42 bilingual dictionaries.
  * debian/control: added the new dictionaries to the package description.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sun, 23 Sep 2007 23:28:38 +0300

opendict-lingvosoft (0.7-0.1) unstable; urgency=low

  * New upstream release.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Fri, 22 Dec 2006 20:58:16 +0200

opendict-lingvosoft (0.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - changed the field "Section:" from "text" to "contrib/text".
    - reduced the number of binaries to one package.
    - bumped Standards-Version to 3.7.2. No changes required.
  * Updated for new Python policy:
    - debian/control: added build-depend on python-central and python-all-dev.
      Also added the XS-Python-Version and XB-Python-Version fields.
    - debian/rules: added dh_pycentral before dh_python in binary rule.
    - added debian/pycompat file.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Thu, 14 Sep 2006 19:17:31 +0300

opendict-lingvosoft (0.4-1) unstable; urgency=low

  * Initial release (Closes: #337670).

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat,  3 Dec 2005 21:43:57 +0200

=== debian/control ===
Source: opendict-lingvosoft
Section: contrib/text
Priority: optional
Maintainer: Kęstutis Biliūnas <kebil@kaunas.init.lt>
X-Python-Version: >=2.3
Build-Depends: debhelper (>= 5.0.38)
Build-Depends-Indep: python-all-dev (>= 2.3.5-11), dh-python
Standards-Version: 3.7.2

Package: opendict-plugins-lingvosoft
Architecture: all
Depends: ${python:Depends}, opendict (>= 0.5.7)
XB-Python-Version: ${python:Versions}
Description: plugins for OpenDict - LingvoSoft Online Dictionaries
 This plugin fetches translations from http://www.lingvozone.com
 for use by OpenDict program and provides these dictionaries:
   English <=> Albanian
   English <=> Arabic
   English <=> Azeri
   English <=> Bosnian
   English <=> Bulgarian
   English <=> Chinese-Simplified
   English <=> Chinese-Traditional
   English <=> Croatian
   English <=> Czech
   English <=> Dutch
   English <=> Estonian
   English <=> Finnish
   English <=> French
   English <=> German
   English <=> Greek
   English <=> Hebrew
   English <=> Hungarian
   English <=> Indonesian
   English <=> Italian
   English <=> Japanese
   English <=> Japanese Kana
   English <=> Japanese Kanji
   English <=> Japanese Romaji
   English <=> Korean
   English <=> Latvian
   English <=> Lithuanian
   English <=> Persian(Farsi)
   English <=> Polish
   English <=> Portuguese
   English <=> Romanian
   English <=> Russian
   English <=> Serbian
   English <=> Slovak
   English <=> Spanish
   English <=> Swedish
   English <=> Tagalog (Philippines)
   English <=> Thai
   English <=> Turkish
   English <=> Ukrainian
   English <=> Vietnamese
   English <=> Yiddish
   English -> MultiLingual

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


DEBDIR = $(CURDIR)/debian/opendict-plugins-lingvosoft

DICTIONARIES =	ensq enar enaz enbs enbg enzhs enzht enhr encs ennl \
		enet enfi enfr ende enel enhe enhu enid enit enjap \
		enjakana enjakanji enjaromaji enko enlv enlt enfa enpl enpt  enro \
                enru ensr ensk enes ensv entl enth entr enuk  envi \
                enyi enmul
# enla - not works yet	

build: build-stamp

build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	for DICT in $(DICTIONARIES); do \
		$(MAKE) install DESTDIR=$(DEBDIR) DICT=$$DICT; \
	done

	for DICT in $(DICTIONARIES); do \
		rm -f $(DEBDIR)/usr/share/opendict/dictionaries/plugins/Lingvosoft-$$DICT/weblingvosoft.py; \
	done
	
	rm -f $(DEBDIR)/usr/share/opendict/dictionaries/plugins/weblingvosoft.py

	mkdir -p $(DEBDIR)//usr/lib/python2.7/dist-packages/opendict-plugins-lingvosoft
	cp  $(CURDIR)/weblingvosoft.py $(DEBDIR)/usr/lib/python2.7/dist-packages/opendict-plugins-lingvosoft

# Build architecture-independent files here.
binary-arch:

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installchangelogs 
	dh_installdocs

	dh_install
	dh_strip
	dh_compress
	dh_fixperms
	dh_python2 /usr/share/opendict/dictionaries/plugins
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://kebil.ghost.lt/opendict_plugins/opendict-lingvosoft-(.*)\.tar\.gz
